ADAM_2.12: Core 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package models
  Definition Classes
    adam
- Alphabet
- Attribute
- Coverage
- DNAAlphabet
- IUPACAlphabet
- MdTag
- MdTagEvent
- OptionalPositionOrdering
- OptionalReferenceOrdering
- OptionalRegionOrdering
- PositionOrdering
- ReadGroup
- ReadGroupDictionary
- ReferenceOrdering
- ReferencePosition
- ReferencePositionSerializer
- ReferenceRegion
- ReferenceRegionSerializer
- RegionOrdering
- SequenceDictionary
- SequenceRecord
- SnpTable
- Symbol
- TagType
- VariantContext
- VariantContextSerializer

t

org.bdgenomics.adam.models

# OptionalReferenceOrdering 

###

#### trait OptionalReferenceOrdering[T <: ReferenceRegion] extends Ordering[Option[T]]

Linear Supertypes
Ordering[Option[T]], PartialOrdering[Option[T]], Equiv[Option[T]], Serializable, Serializable, Comparator[Option[T]], AnyRef, Any
Known Subclasses
OptionalPositionOrdering, OptionalRegionOrdering
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. OptionalReferenceOrdering
2. Ordering
3. PartialOrdering
4. Equiv
5. Serializable
6. Serializable
7. Comparator
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  class Ops extends AnyRef
   Definition Classes
     Ordering

### Abstract Value Members

1.  abstract val baseOrdering: ReferenceOrdering[T]

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
6.  def compare(a: Option[T], b: Option[T]): Int
   Definition Classes
     OptionalReferenceOrdering → Ordering → Comparator
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
9.  def equiv(x: Option[T], y: Option[T]): Boolean
   Definition Classes
     Ordering → PartialOrdering → Equiv
10.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
11.  def gt(x: Option[T], y: Option[T]): Boolean
    Definition Classes
      Ordering → PartialOrdering
12.  def gteq(x: Option[T], y: Option[T]): Boolean
    Definition Classes
      Ordering → PartialOrdering
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  def lt(x: Option[T], y: Option[T]): Boolean
    Definition Classes
      Ordering → PartialOrdering
16.  def lteq(x: Option[T], y: Option[T]): Boolean
    Definition Classes
      Ordering → PartialOrdering
17.  def max(x: Option[T], y: Option[T]): Option[T]
    Definition Classes
      Ordering
18.  def min(x: Option[T], y: Option[T]): Option[T]
    Definition Classes
      Ordering
19.  implicit def mkOrderingOps(lhs: Option[T]): Ops
    Definition Classes
      Ordering
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
23.  def on[U](f: (U) ⇒ Option[T]): Ordering[U]
    Definition Classes
      Ordering
24.  def reverse: Ordering[Option[T]]
    Definition Classes
      Ordering → PartialOrdering
25.  def reversed(): Comparator[Option[T]]
    Definition Classes
      Comparator
26.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
27.  def thenComparing[U <: Comparable[_ >: U]](arg0: Function[_ >: Option[T], _ <: U]): Comparator[Option[T]]
    Definition Classes
      Comparator
28.  def thenComparing[U](arg0: Function[_ >: Option[T], _ <: U], arg1: Comparator[_ >: U]): Comparator[Option[T]]
    Definition Classes
      Comparator
29.  def thenComparing(arg0: Comparator[_ >: Option[T]]): Comparator[Option[T]]
    Definition Classes
      Comparator
30.  def thenComparingDouble(arg0: ToDoubleFunction[_ >: Option[T]]): Comparator[Option[T]]
    Definition Classes
      Comparator
31.  def thenComparingInt(arg0: ToIntFunction[_ >: Option[T]]): Comparator[Option[T]]
    Definition Classes
      Comparator
32.  def thenComparingLong(arg0: ToLongFunction[_ >: Option[T]]): Comparator[Option[T]]
    Definition Classes
      Comparator
33.  def toString(): String
    Definition Classes
      AnyRef → Any
34.  def tryCompare(x: Option[T], y: Option[T]): Some[Int]
    Definition Classes
      Ordering → PartialOrdering
35.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
36.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
37.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from Ordering[Option[T]]

### Inherited from PartialOrdering[Option[T]]

### Inherited from Equiv[Option[T]]

### Inherited from Serializable

### Inherited from Comparator[Option[T]]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped